RK-A - Task #1561

Modification in tagging_utils.py such that doc_ids with sim_score equal to the kp_doc_id are not

removed
08/27/2021 04:43 AM - Nandini Bansal

Status: Closed Start date: 08/27/2021
Priority: Normal Due date:

Assignee: % Done: 90%
Category: Estimated time: 3.00 hours
Target version: P1 Spent time: 0.00 hour
Description

We recently made changes in the code that makes sure that if KP is linked to the same document in which is tagged, the KP is only
tagged if there exists a doc_id with a higher similarity score. But we saw some cases where KPs were linked to different doc_ids with
the same score as the self-link. But due to strict greater than condition, those KPs are not getting tagged. We need to change this
and make sure that doc_ids with the same sim_score as self-link are retained.

The changes will have to be made in the update_doc_id_score_list function from tagging_utils.py.

You can use "C-API Reference.txt" for testing your changes.

Example added in attachments:

History

#1 - 08/27/2021 06:17 AM - Nandini Bansal
- Description updated

- Assignee set to Anonymous

#2 - 08/27/2021 06:19 AM - Nandini Bansal
- Description updated

- Estimated time set to 3.00 h

#3 - 08/27/2021 06:27 AM - Nandini Bansal

- Assignee deleted (Anonymous)

#4 - 09/01/2021 06:26 AM - Nandini Bansal

- Assignee set to Anonymous

#5 - 09/13/2021 07:11 AM - Nandini Bansal
- % Done changed from 0 to 90

#6 - 10/13/2021 12:31 PM - Anonymous

- Status changed from New to In Progress

#7 - 10/13/2021 12:31 PM - Anonymous

- Status changed from In Progress to Resolved

#8 - 10/20/2021 08:37 AM - Nandini Bansal

- Status changed from Resolved to Closed
